import lombok.extern.slf4j.Slf4j;
import net.wanji.opt.SignalOptimizeApplication;
import net.wanji.opt.task.TablePartitionManagerTask;
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.junit.runners.MethodSorters;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;

@RunWith(SpringRunner.class)
@SpringBootTest(classes = SignalOptimizeApplication.class, webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
@FixMethodOrder(MethodSorters.NAME_ASCENDING)
@Slf4j
public class TablePartitionManagerTaskTest {

    @Resource
    TablePartitionManagerTask tablePartitionManagerTask;

    @Test
    public void  testCreate() {
        tablePartitionManagerTask.createTablePartition();
    }

    @Test
    public  void  testTruncate(){
        tablePartitionManagerTask.deleteTablePartitionData();
    }
}
